> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getgaana.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Concepts List

> Retrieves a paginated list of all available creative concepts. Concepts are the core ideas or themes used to generate visuals.



## OpenAPI

````yaml get /concepts/
openapi: 3.0.3
info:
  title: Gaana AI Visual On-Brand Generation
  version: v1
  description: >-
    This API helps external developers to use Gaana AI API to create visuals
    (image, video) which resonate with their brand guidelines. They can create
    visuals by giving a concept, providing product images, or using reference
    images that inspire them.
  contact:
    name: Gaana AI Support
    email: support@gaana.ai
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - description: Production
    url: https://production.getgaana.com/api
  - description: Stage/Sandbox
    url: https://experiment.getgaana.com/api
security: []
tags:
  - name: auth
    description: Authentication API to generate bearer token
  - name: file_upload
    description: File upload API to upload product images
  - name: products
    description: Product APIs
  - name: concept
    description: Concept APIs
  - name: media-config
    description: Media configuration APIs
  - name: media
    description: Media APIs
paths:
  /concepts/:
    get:
      tags:
        - concept
      description: >-
        Retrieves a paginated list of all available creative concepts. Concepts
        are the core ideas or themes used to generate visuals.
      operationId: concepts_list
      parameters:
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedPaginatedListSuccess_B2BContentPillarsList
          description: ''
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: ''
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: ''
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: ''
      security:
        - jwtAuth: []
components:
  schemas:
    PaginatedPaginatedListSuccess_B2BContentPillarsList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/PaginatedListSuccess_B2BContentPillars'
    ErrorResponse:
      type: object
      properties:
        data:
          type: array
          items: {}
        message:
          type: string
        status:
          $ref: '#/components/schemas/ErrorResponseStatusEnum'
      required:
        - message
        - status
    PaginatedListSuccess_B2BContentPillars:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PaginatedData_B2BContentPillars'
        status:
          $ref: '#/components/schemas/StatusE7cEnum'
      required:
        - data
        - status
    ErrorResponseStatusEnum:
      enum:
        - failed
      type: string
      description: '* `failed` - failed'
    PaginatedData_B2BContentPillars:
      type: object
      properties:
        count:
          type: integer
        next:
          type: string
          format: uri
          nullable: true
        previous:
          type: string
          format: uri
          nullable: true
        results:
          type: array
          items:
            $ref: '#/components/schemas/B2BContentPillars'
      required:
        - count
        - next
        - previous
        - results
    StatusE7cEnum:
      enum:
        - success
      type: string
      description: '* `success` - success'
    B2BContentPillars:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          readOnly: true
          nullable: true
        description:
          type: string
          readOnly: true
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
        ref_images:
          readOnly: true
      required:
        - created_at
        - description
        - id
        - name
        - ref_images
        - updated_at
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````